.yearpicker-container {
    position: absolute;
    color: var(--color-TextBlack);
    width: 280px;
    border: 1px solid var(--color-BodTertiaryGray);
    border-radius: 3px;
    font-size: 1rem;
    box-shadow: 1px 1px 8px 0px var(--color-DropBoxShadowx);
    background-color: var(--color-BgOrgWhite);
    z-index: 10;
    margin-top: 0.2rem;
}

.yearpicker-header {
    display: flex;
    width: 100%;
    height: 2.5rem;
    border-bottom: 1px solid var(--color-BodTertiaryGray);
    align-items: center;
    justify-content: space-around;
}

.yearpicker-prev,
.yearpicker-next {
    cursor: pointer;
    font-size: 2rem;
}

    .yearpicker-prev:hover,
    .yearpicker-next:hover {
        color: var(--color-TextGreenSuccessAlert);
    }

.yearpicker-year {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0.5rem;
}

.yearpicker-items {
    list-style: none;
    padding: 1rem 0.5rem;
    flex: 0 0 33.3%;
    width: 100%;
}

    .yearpicker-items:hover {
        background-color: var(--color-BgOrgOffWhite);
        color: var(--color-TextGreenSuccessAlert);
        cursor: pointer;
    }

    .yearpicker-items.selected {
        color: var(--color-TextGreenSuccessAlert);
    }

.hide {
    display: none;
}

.yearpicker-items.disabled {
    pointer-events: none;
    color: var(--color-TextTertiaryGray);
}
